String functions
Each argument has a required section which is denoted with
required or optional
- If it’s denoted by
requiredit means the argument must be passed into that function before it’ll work. - if it’s denoted by
optionalit means the function can work without passing the argument value.
base64_encode_tostring()
Encodes a string as base64 string.Arguments
Returns
Returns the string encoded as base64 string.- To decode base64 strings to UTF-8 strings, see base64_decode_tostring()
Examples
base64_decode_tostring()
Decodes a base64 string to a UTF-8 string.Arguments
Returns
Returns UTF-8 string decoded from base64 string.- To encode strings to base64 string, see base64_encode_tostring()
Examples
countof()
Counts occurrences of a substring in a string.Arguments
Returns
The number of times that the search string can be matched.Examples
countof_regex()
Counts occurrences of a substring in a string. regex matches don’t.Arguments
- text source: A string.
- regex search: regular expression to match inside your text source.
Returns
The number of times that the search string can be matched in the dataset. Regex matches do not.Examples
coalesce()
Evaluates a list of expressions and returns the first non-null (or non-empty for string) expression.Arguments
Returns
The value of the first argument whose value isn’t null (or not-empty for string expressions).Examples
extract()
Retrieve the first substring matching a regular expression from a source string.Arguments
Returns
If regex finds a match in source: the substring matched against the indicated capture group captureGroup, optionally converted to typeLiteral. If there’s no match, or the type conversion fails:-1 or string error
Examples
extract_all()
Retrieve all substrings matching a regular expression from a source string. Optionally, retrieve only a subset of the matching groups.Arguments
Returns
- If regex finds a match in source: Returns dynamic array including all matches against the indicated capture groups captureGroups, or all of capturing groups in the regex.
- If number of captureGroups is 1: The returned array has a single dimension of matched values.
- If number of captureGroups is more than 1: The returned array is a two-dimensional collection of multi-value matches per captureGroups selection, or all capture groups present in the regex if captureGroups is omitted.
- If there’s no match:
-1
Examples
format_bytes()
Formats a number as a string representing data size in bytes.Arguments
Returns
- A formatted string for humans
Examples
format_url()
Formats an input string into a valid URL. This function will return a string that is a properly formatted URL.Arguments
Returns
- A string that represents a properly formatted URL.
Examples
- These are all the supported keys when using the
format_urlfunction: scheme, host, port, fragment, user, password, query.
indexof()
Reports the zero-based index of the first occurrence of a specified string within the input string.Arguments
Returns
- Zero-based index position of lookup.
- Returns -1 if the string isn’t found in the input.
Examples
isempty()
Returnstrue if the argument is an empty string or is null.
Returns
Indicates whether the argument is an empty string or isnull.Examples
isnotempty()
Returnstrue if the argument isn’t an empty string, and it isn’t null.
Examples
isnotnull()
Returnstrue if the argument is not null.
Examples
isnull()
Evaluates its sole argument and returns a bool value indicating if the argument evaluates to a null value.Returns
True or false, depending on whether or not the value is null.Examples
parse_bytes()
Parses a string including byte size units and returns the number of bytesArguments
Returns
- The number of bytes or zero if unable to parse
Examples
parse_json()
Interprets a string as a JSON value and returns the value as dynamic.Arguments
Returns
An object of type json that is determined by the value of json:- If json is of type string, and is a properly formatted JSON string, then the string is parsed, and the value produced is returned.
- If json is of type string, but it isn’t a properly formatted JSON string, then the returned value is an object of type dynamic that holds the original string value.
Examples
parse_url()
Parses an absolute URLstring and returns an object contains URL parts.
Arguments
Returns
An object of type dynamic that included the URL components: Scheme, Host, Port, Path, Username, Password, Query Parameters, Fragment.Examples
- Result
parse_urlquery()
Returns adynamic object contains the Query parameters.
Arguments
query: A string represents a url query
Returns
An object of type dynamic that includes the query parameters.Examples
- Result
replace()
Replace all regex matches with another string.Arguments
- regex: The regular expression to search source. It can contain capture groups in ’(‘parentheses’)’.
- rewrite: The replacement regex for any match made by matchingRegex. Use 1 for the first capture group, $2 and so on for subsequent capture groups.
- source: A string.
Returns
- source after replacing all matches of regex with evaluations of rewrite. Matches do not overlap.
Examples
replace_regex()
Replaces all regex matches with another string.Arguments
- regex: The regular expression to search text.
- rewrite: The replacement regex for any match made by matchingRegex.
- text: A string.
Returns
source after replacing all matches of regex with evaluations of rewrite. Matches do not overlap.Examples
- Result
Backreferences
Backreferences match the same text as previously matched by a capturing group. With Backreferences, you can identify a repeated character or substring within a string.- Backreferences in APL is implemented using the
$sign.
Examples
replace_string()
Replaces all string matches with another string.Arguments
Returns
text after replacing all matches of lookup with evaluations of rewrite. Matches don’t overlap.
Examples
- Result
reverse()
Function reverses the order of the input Field.Arguments
Returns
The reverse order of a field value.Examples
- Result
split()
Splits a given string according to a given delimiter and returns a string array with the contained substrings. Optionally, a specific substring can be returned if exists.Arguments
- source: The source string that will be split according to the given delimiter.
- delimiter: The delimiter (Field) that will be used in order to split the source string.
Returns
- A string array that contains the substrings of the given source string that are delimited by the given delimiter.
Examples
- Result
strcat()
Concatenates between 1 and 64 arguments. If the arguments aren’t of string type, they’ll be forcibly converted to string.Arguments
Returns
Arguments, concatenated to a single string.Examples
- Result
strcat_delim()
Concatenates between 2 and 64 arguments, with delimiter, provided as first argument.- If arguments aren’t of string type, they’ll be forcibly converted to string.
Arguments
Returns
Arguments, concatenated to a single string with delimiter.Examples
- Result
strcmp()
Compares two strings. The function starts comparing the first character of each string. If they are equal to each other, it continues with the following pairs until the characters differ or until the end of shorter string is reached.Arguments
Returns
Returns an integral value indicating the relationship between the strings:- When the result is 0: The contents of both strings are equal.
- When the result is -1: the first character that does not match has a lower value in string1 than in string2.
- When the result is 1: the first character that does not match has a higher value in string1 than in string2.
Examples
- Result
strlen()
Returns the length, in characters, of the input string.Arguments
Returns
Returns the length, in characters, of the input string.Examples
- Result
strrep()
Repeats given string provided amount of times.- In case if first or third argument is not of a string type, it will be forcibly converted to string.
Arguments
Returns
- Value repeated for a specified number of times, concatenated with delimiter.
- In case if multiplier is more than maximal allowed value (1024), input string will be repeated 1024 times.
Examples
- Result
substring()
Extracts a substring from a source string starting from some index to the end of the string.Arguments
- source: The source string that the substring will be taken from.
- startingIndex: The zero-based starting character position of the requested substring.
- length: A parameter that can be used to specify the requested number of characters in the substring.
Returns
A substring from the given string. The substring starts at startingIndex (zero-based) character position and continues to the end of the string or length characters if specified.Examples
toupper()
Converts a string to upper case.tolower()
Converts a string to lower case.trim()
Removes all leading and trailing matches of the specified cutset.Arguments
- source: A string.
- cutset: A string containing the characters to be removed.
Returns
source after trimming matches of the cutset found in the beginning and/or the end of source.Examples
- Result
trim_regex()
Removes all leading and trailing matches of the specified regular expression.Arguments
- regex: String or regular expression to be trimmed from the beginning and/or the end of source.
- source: A string.
Returns
source after trimming matches of regex found in the beginning and/or the end of source.Examples
- Result
trim_end()
Removes trailing match of the specified cutset.Arguments
- source: A string.
- cutset: A string containing the characters to be removed.`
Returns
source after trimming matches of the cutset found in the end of source.Examples
- Result
trim_end_regex()
Removes trailing match of the specified regular expression.Arguments
- regex: String or regular expression to be trimmed from the end of source.
- source: A string.
Returns
source after trimming matches of regex found in the end of source.Examples
- Result
trim_start()
Removes leading match of the specified cutset.Arguments
- source: A string.
Returns
- source after trimming match of the specified cutset found in the beginning of source.
Examples
- Result
trim_start_regex()
Removes leading match of the specified regular expression.Arguments
- regex: String or regular expression to be trimmed from the beginning of source.
- source: A string.
Returns
source after trimming match of regex found in the beginning of source.Examples
- Result
url_decode()
The function converts encoded URL into a to regular URL representation.Arguments
encoded url:encoded URL (string).
Returns
URL (string) in a regular representation.Examples
- Result
url_encode()
The function converts characters of the input URL into a format that can be transmitted over the Internet.Arguments
- url: input URL (string).
Returns
URL (string) converted into a format that can be transmitted over the Internet.Examples
- Result
gettype()
Returns the runtime type of its single argument.Arguments
- Expressions
Returns
A string representing the runtime type of its single argument.Examples
parse_csv()
Splits a given string representing a single record of comma-separated values and returns a string array with these values.Arguments
- csv_text: A string representing a single record of comma-separated values.